Skip to content

REST API: Notification Analytics List

This GET endpoint retrieves analytics for your notification.

GET API url -> /v1/analytics/notifications

Query Parameters

The following query parameters are possible:

Field Type Description Required
appId String Application Id
notificationId String Notification Id
from Long Unix timestamp in milliseconds.
Returns 400 error if notification is of type RECURRING
Optional
to Long Unix timestamp in milliseconds.
Returns 400 error if notification is of type RECURRING
Optional

Response Examples

[
    {
        "ctr": "10.0",
        "clickPercentage": "9.0",
        "createdAt": 1771921051940,
        "dismissPercentage": "4.5",
        "notDelivered": 100,
        "notDeliveredPercentage": "10.0",
        "dismissed": 45,
        "delivered": 900,
        "sentPercentage": "100.0",
        "deliveredPercentage": "90.0",
        "sent": 1000,
        "clicked": 90
    }
]
Error message
Error message